POST   scenarios/browser

Gets a list of all browser scenarios that are visible to you as an administrator of the customer checks.

Remarks

The result can be filtered or/and extended by optional parameters provided in the body.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/scenarios/browser?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "filter": {
    "name": "sample string 1",
    "created": {
      "from_utc": "2013-08-20T13:32:08",
      "to_utc": "2013-08-21T13:32:08"
    },
    "updated": {
      "from_utc": "2013-08-20T13:32:08",
      "to_utc": "2013-08-21T13:32:08"
    },
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  "include": {
    "associated_check_ids": true
  }
}"
NameType Required Description
filterObjectNo

The filter section defines the criteria for selecting the browser scenarios. This section is optional, any parameter can be omitted.

nameStringNo

This parameter defines a substring to filter scenarios by name.

createdObjectNo

This section defines the date range to filter scenarios by the time they were created at.

from_utcDateTimeNo

Starting timestamp (in UTC) for the date range.

to_utcDateTimeNo

Ending timestamp (in UTC) for the date range.

updatedObjectNo

This section defines the date range to filter scenarios by the last time they were updated at.

from_utcDateTimeNo

Starting timestamp (in UTC) for the date range.

to_utcDateTimeNo

Ending timestamp (in UTC) for the date range.

associated_check_idsArrayNo

This parameter allows to filter scenarios by associated checks. If it is null, it will be ignored. If it is empty, the only scenarios which are not associated with any checks will be inlcuded in the response. If it contains identifiers, the only scenarios which are associated with at least one of the presented checks will be included in the response.

includeObjectNo

The include section defines additional browser scenario information to include into the response. If this section is omitted or empty, the response will only contain main data.

associated_check_idsBooleanNo

This parameter indicates whether identifiers of the associated checks should be included in the response.

Response body model example and description

Browser scenario info

[
  {
    "id": 1,
    "name": "sample string 2",
    "created_utc": "2024-09-27T22:23:08",
    "updated_utc": "2024-09-27T22:23:08",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  {
    "id": 1,
    "name": "sample string 2",
    "created_utc": "2024-09-27T22:23:08",
    "updated_utc": "2024-09-27T22:23:08",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  },
  {
    "id": 1,
    "name": "sample string 2",
    "created_utc": "2024-09-27T22:23:08",
    "updated_utc": "2024-09-27T22:23:08",
    "associated_check_ids": [
      1,
      2,
      3
    ]
  }
]
NameType Description
idInteger

The scenario's numeric identifier.

nameString

The scenario name.

created_utcDateTime

The time at which the scenario was created.

updated_utcDateTime

The last time at which the scenario was updated.

associated_check_idsArray

The list of identifiers of the checks which are associated with the scenario.